export declare class LengthUnit {
    static readonly Millimeter: LengthUnit;
    static readonly Centimeter: LengthUnit;
    static readonly Meter: LengthUnit;
    static readonly Kilometer: LengthUnit;
    static readonly Mile: LengthUnit;
    readonly scaleFactor: number;
    constructor(scaleFactor: number);
    to(unit: LengthUnit, value: number): number;
}
